JackTrip: UdpMasterListener Class Reference

JackTrip

Signals | Public Member Functions | List of all members
UdpMasterListener Class Reference

Master UDP listener on the Server. More...

`#include <UdpMasterListener.h>`

Inheritance diagram for UdpMasterListener:
[legend]
Collaboration diagram for UdpMasterListener:
[legend]

## Signals
void | Listening ()
void | ClientAddressSet ()
void | signalRemoveThread (int id)

## Public Member Functions
| UdpMasterListener (int server_port=gServerUdpPort)
virtual | ~UdpMasterListener ()
void | run ()
| Implements the Thread Loop. To start the thread, call start() ( DO NOT CALL run() ) More...
void | stop ()
| Stops the execution of the Thread. More...
int | releaseThread (int id)

## Detailed Description

Master UDP listener on the Server.

This creates a server that will listen on the well know port (the server port) and will spawn JackTrip threads into the Thread pool. Clients request a connection.

## Constructor & Destructor Documentation

## ◆ UdpMasterListener()

UdpMasterListener::UdpMasterListener | ( | int | server_port = `gServerUdpPort` | ) |

## ◆ ~UdpMasterListener()

UdpMasterListener::~UdpMasterListener | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ ClientAddressSet

void UdpMasterListener::ClientAddressSet | ( |  | ) |
| signal

## ◆ Listening

void UdpMasterListener::Listening | ( |  | ) |
| signal

## ◆ releaseThread()

int UdpMasterListener::releaseThread | ( | int | id | ) |

Todo:
  Check if we really need to return an argument here

## ◆ run()

void UdpMasterListener::run | ( |  | ) |

Implements the Thread Loop. To start the thread, call start() ( DO NOT CALL run() )

Todo:
  temp default to 1 channel

## ◆ signalRemoveThread

void UdpMasterListener::signalRemoveThread | ( | int | id | ) |
| signal

## ◆ stop()

void UdpMasterListener::stop | ( |  | ) |
| inline

Stops the execution of the Thread.

The documentation for this class was generated from the following files:

- src/UdpMasterListener.h
- src/release/moc_UdpMasterListener.cpp
- src/UdpMasterListener.cpp